FillRule (JavaFX 13)

Module javafx.graphics
Package javafx.scene.shape

## Enum FillRule

- java.lang.Object
- - java.lang.Enum<FillRule>
  - - javafx.scene.shape.FillRule

- All Implemented Interfaces:
    `Serializable`, `Comparable<FillRule>`

      public enum FillRule
      extends Enum<FillRule>

  The fill rule for determining the interior of the path.
  Since:
    JavaFX 2.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `EVEN_ODD` | Defines an even-odd filling rule for determining the interior of a path.
    `NON_ZERO` | Defines a non-zero filling rule for determining the interior of a path.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static FillRule` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static FillRule[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EVEN_ODD

          public static final FillRule EVEN_ODD

      Defines an even-odd filling rule for determining the interior of a path. The even-odd rule specifies that a point lies inside the path if a ray drawn in any direction from that point to infinity is crossed by path segments an odd number of times.

    - #### NON_ZERO

          public static final FillRule NON_ZERO

      Defines a non-zero filling rule for determining the interior of a path. The non-zero rule specifies that a point lies inside the path if a ray drawn in any direction from that point to infinity is crossed by path segments a different number of times in the counter-clockwise direction than the clockwise direction.

  - ### Method Detail

    - #### values

          public static FillRule[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FillRule c : FillRule.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FillRule valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null